DJAIRY(3)

SYNOPSIS
SUBROUTINE DJAIRY (X, RX, C, AI, DAI)

NAME
djairy - Subsidiary to DBESJ and DBESY

LIBRARY
SLATEC

TYPE
DOUBLE PRECISION (JAIRY-S, DJAIRY-D)

AUTHOR
Amos, D. E., (SNLA) Daniel, S. L., (SNLA) Weston, M. K., (SNLA)

DESCRIPTION
DJAIRY computes the Airy function AI(X) and its derivative DAI(X) for DASYJY INPUT X - Argument, computed by DASYJY, X unrestricted RX - RX=SQRT(ABS(X)), computed by DASYJY C - C=2.*(ABS(X)**1.5)/3., computed by DASYJY OUTPUT AI - Value of function AI(X) DAI - Value of the derivative DAI(X)

SEE ALSO
DBESJ, DBESY

ROUTINES CALLED
(NONE)

REVISION HISTORY (YYMMDD)
750101 DATE WRITTEN
890531 Changed all specific intrinsics to generic. (WRB)
891009 Removed unreferenced variable. (WRB)
891214 Prologue converted to Version 4.0 format. (BAB)
900328 Added TYPE section. (WRB)
910408 Updated the AUTHOR section. (WRB)